﻿
// aikeDlg.cpp: 实现文件
//

#include "pch.h"
#include "framework.h"
#include "aike.h"
#include "aikeDlg.h"
#include "afxdialogex.h"



#ifdef _DEBUG
#define new DEBUG_NEW
#endif

#define WM_TRAYICON_MSG (WM_USER + 100)			//创建托盘图标消息

// CaikeDlg 对话框



CaikeDlg::CaikeDlg(CWnd* pParent /*=nullptr*/)
	: MyDialog(IDD_AIKE_DIALOG, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

//void CaikeDlg::DoDataExchange(CDataExchange* pDX)
//{
//	MyDialog::DoDataExchange(pDX);
	//DDX_Control(pDX, IDC_LIST1, m_Staff);
//}

BEGIN_MESSAGE_MAP(CaikeDlg, MyDialog)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_SIZE()
	ON_WM_GETMINMAXINFO()
	ON_MESSAGE(WM_TRAYICON_MSG, OnTrayCallBackMsg)				//点击了托盘图标
	ON_WM_DESTROY()
	ON_COMMAND(ID_SHOW_MENU, &CaikeDlg::OnShowMenu)
	ON_COMMAND(ID_CLONE_MENU, &CaikeDlg::OnCloneMenu)
END_MESSAGE_MAP()


// CaikeDlg 消息处理程序

BOOL CaikeDlg::OnInitDialog()
{
	MyDialog::OnInitDialog();
	Initialize();

	return TRUE;  // 除非将焦点设置到控件，否则返回 TRUE
}

// 如果向对话框添加最小化按钮，则需要下面的代码
//  来绘制该图标。  对于使用文档/视图模型的 MFC 应用程序，
//  这将由框架自动完成。

void CaikeDlg::OnPaint()
{
	if (!IsIconic())
	{
		//PaintDlg();
		MyDialog::OnPaint();
	}
}

//当用户拖动最小化窗口时系统调用此函数取得光标
//显示。
HCURSOR CaikeDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}


//截获窗口消息
//BOOL CaikeDlg::PreTranslateMessage(MSG* pMsg)
//{
	// TODO: 在此添加专用代码和/或调用基类
//	PTMessage(pMsg);
//	if (!ttttt)
//	{
//		return FALSE;
//	}
//	return MyDialog::PreTranslateMessage(pMsg);
//}

//窗口大小发生改变
void CaikeDlg::OnSize(UINT nType, int cx, int cy)
{
	__super::OnSize(nType, cx, cy);
	// TODO: 在此处添加消息处理程序代码
	MoveAllWin();
}

//设置窗口最大和最小范围
void CaikeDlg::OnGetMinMaxInfo(MINMAXINFO* lpMMI)
{
	// TODO: 在此添加消息处理程序代码和/或调用默认值
	lpMMI->ptMaxSize.y = GetSystemMetrics(SM_CYFULLSCREEN) + GetSystemMetrics(SM_CYCAPTION) + GetSystemMetrics(SM_CYDLGFRAME);
	lpMMI->ptMinTrackSize.x = 800;   //x宽度    
	lpMMI->ptMinTrackSize.y = 600;   //y高度  

	__super::OnGetMinMaxInfo(lpMMI);
}

//按下回车
void CaikeDlg::OnOK()
{
	// TODO: 在此添加专用代码和/或调用基类

	//__super::OnOK();
}

//窗口即将销毁
void CaikeDlg::OnDestroy()
{
	__super::OnDestroy();

	// TODO: 在此处添加消息处理程序代码
	TrayMylcon(FALSE);
}

//显示窗口（托盘消息）
void CaikeDlg::OnShowMenu()
{
	// TODO: 在此添加命令处理程序代码
	ShowWindow(SW_SHOWNORMAL);
	SetForegroundWindow();
}

//关闭窗口（托盘消息）
void CaikeDlg::OnCloneMenu()
{
	// TODO: 在此添加命令处理程序代码
	MyDialog::OnCancel();
}

//初始化
VOID CaikeDlg::Initialize()
{
	//获取程序路径
	HMODULE module = GetModuleHandle(0);
	TCHAR path[MAX_PATH] = { 0 };
	GetModuleFileName(module, path, MAX_PATH);		//获取本程序绝对路径
	m_Path = path;
	m_Path = m_Path.Left(m_Path.ReverseFind('\\') + 1);
	GetPrivateProfileString(_T("SETTING"), _T("ServerName"), _T("127.0.0.1"), ServerIP.GetBuffer(MAX_PATH), MAX_PATH, m_Path + "system.ini");
	GetPrivateProfileString(_T("SETTING"), _T("PassWord"), _T("Ncsr88352518"), AdoPass.GetBuffer(MAX_PATH), MAX_PATH, m_Path + "system.ini");
	GetPrivateProfileString(_T("SETTING"), _T("UserName"), _T("sa"), UserName.GetBuffer(MAX_PATH), MAX_PATH, m_Path + "system.ini");
	GetPrivateProfileString(_T("SETTING"), _T("DataBase"), _T("aike"), DataBase.GetBuffer(MAX_PATH), MAX_PATH, m_Path + "system.ini");
	//ServerProt
	//添加按钮
	CImage img, img1;
	img.Load(_T("../aike/res/background.jpg"));
	SetBackground(img);
	AddButton(1, CRect(0, 0, 25, 25));
	SetLClick(1, [this](int i) {MinClick(i); });
	AddButton(2, CRect(0, 0, 25, 25));
	SetLClick(2, [this](int i) {MaxClick(i); });
	AddButton(3, GetButtonRect(2));
	SetLClick(3, [this](int i) {ReductionClick(i); });
	AddButton(4, CRect(0, 0, 25, 25));
	SetLClick(4, [this](int i) {CloseClick(i); });

	CRect rt = { 0, 0, 180, 180 };
	rt.MoveToXY(100, 100);
	img.Destroy();
	img.Load(_T("../aike/res/business.jpg"));
	img1.Load(_T("../aike/res/business1.jpg"));
	AddButton(1000, rt, img, img1, img1, img1);


	rt.MoveToXY(300, 100);
	img.Destroy();
	img1.Destroy();
	img.Load(_T("../aike/res/member.jpg"));
	img1.Load(_T("../aike/res/member1.jpg"));
	AddButton(2000, rt, img, img1, img1, img1);

	rt.MoveToXY(500, 100);
	img.Destroy();
	img1.Destroy();
	img.Load(_T("../aike/res/report.jpg"));
	img1.Load(_T("../aike/res/report1.jpg"));
	AddButton(3000, rt, img, img1, img1, img1);

	rt.MoveToXY(100, 300);
	img.Destroy();
	img1.Destroy();
	img.Load(_T("../aike/res/Booking.jpg"));
	img1.Load(_T("../aike/res/Booking1.jpg"));
	AddButton(4000, rt, img, img1, img1, img1);

	rt.MoveToXY(300, 300);
	img.Destroy();
	img1.Destroy();
	img.Load(_T("../aike/res/inventory.jpg"));
	img1.Load(_T("../aike/res/inventory1.jpg"));
	AddButton(5000, rt, img, img1, img1, img1);

	rt.MoveToXY(500, 300);
	img.Destroy();
	img1.Destroy();
	img.Load(_T("../aike/res/basis.jpg"));
	img1.Load(_T("../aike/res/basis1.jpg"));
	AddButton(6000, rt, img, img1, img1, img1);
	SetLClick(6000, [this](int i) {SetUpClick(i); });



	ShowButton(3, FALSE);
	MaxClick(0);


	m_RoomSetUpDlg.Create(IDD_ROOMSETUPDLG, this);
	m_CommodityDlg.Create(IDD_COMMODITYDLG, this);
	PaymentDlg.Create(IDD_PAYMENTDLG, this);
	MemberSetUpDlg.Create(IDD_MEMBERSETUPDLG, this);
	m_DiscountDlg.Create(IDD_DISCOUNTDLG, this);
	m_StaffDlg.Create(IDD_STAFFDLG, this);
	PrintSetUpDlg.Create(IDD_PRINTDLG, this);
	m_CouponDlg.Create(IDD_COUPONDLG, this);
	m_ParameterDlg.Create(IDD_PARAMENTERDLG, this);

	//FixedSize();

	//连接服务器
	//SClien.Create();
	//SClien.SetConnectFun([this](int i) {TCPState(i); });
	//SClien.SetFunc([this]() {Process(); });
	//SClien.Connect(ServerIP, ServerProt);

	//连接数据库
	if (!AdoSql.ConnectSQL(ServerIP, DataBase, UserName, AdoPass))
	{
		MessageBox(_T("数据库连接失败"), _T("温馨提示"));
		exit(0);
	}
	MoveAllWin();
	TrayMylcon(TRUE);
}

//添加系统托盘
BOOL CaikeDlg::TrayMylcon(BOOL bAdd)
{
	BOOL bRet = FALSE;
	NOTIFYICONDATA tnd;
	tnd.cbSize = sizeof(NOTIFYICONDATA);
	tnd.hWnd = m_hWnd;
	tnd.uID = IDR_MAINFRAME;		//设置要加载的图标
	if (bAdd == TRUE)
	{
		tnd.uFlags = NIF_MESSAGE | NIF_ICON | NIF_TIP;
		tnd.uCallbackMessage = WM_TRAYICON_MSG;			//给主对话框发送自定义消息
		tnd.hIcon = LoadIcon(AfxGetInstanceHandle(), MAKEINTRESOURCE(IDR_MAINFRAME));
		_tcscpy_s(tnd.szTip, sizeof(tnd.szTip), _T("爱客宾馆软件客户端"));
		bRet = Shell_NotifyIcon(NIM_ADD, &tnd);
	}
	else
	{
		SetForegroundWindow();
		bRet = Shell_NotifyIcon(NIM_DELETE, &tnd);
	}
	return bRet;
}

//点击系统托盘响应事件
LRESULT CaikeDlg::OnTrayCallBackMsg(WPARAM wparam, LPARAM lparam)
{
	switch (lparam)
	{
	case WM_RBUTTONUP:		//是右击
	{
		CMenu mMenu, * pMenu = NULL;
		CPoint pt;
		mMenu.LoadMenu(IDR_TRAY_MENU);	//加载右击弹出的菜单
		pMenu = mMenu.GetSubMenu(0);
		GetCursorPos(&pt);
		SetForegroundWindow();
		pMenu->TrackPopupMenu(TPM_LEFTALIGN | TPM_RIGHTBUTTON, pt.x, pt.y, this);
		break;
	}
	case WM_LBUTTONDBLCLK:		//鼠标左键双击
		if (IsIconic() == TRUE)	//获取是否是最小化
		{
			ShowWindow(SW_SHOWNORMAL);
		}
		else
		{
			ShowWindow(SW_SHOW);
		}
		SetForegroundWindow();
		break;

	default:
		break;
	}
	return LRESULT();
}

//最小化窗口
VOID CaikeDlg::MinClick(int id)
{
	ShowWindow(SW_HIDE);
}

//最大化窗口
VOID CaikeDlg::MaxClick(int id)
{
	ShowWindow(SW_MAXIMIZE);
	ShowButton(2, FALSE);
	ShowButton(3, TRUE);
}

//还原窗口
VOID CaikeDlg::ReductionClick(int id)
{
	ShowWindow(SW_RESTORE);
	CenterWindow(NULL);
	ShowButton(2, TRUE);
	ShowButton(3, FALSE);
}

//关闭窗口
VOID CaikeDlg::CloseClick(int id)
{
	if (MessageBox(_T("确定退出本软件？"), _T("温馨提示"), MB_OKCANCEL) == IDOK)
	{
		MyDialog::OnCancel();
	}
}

VOID CaikeDlg::MoveAllWin()
{
	if (m_StaffDlg.m_hWnd == NULL)
	{
		return;
	}
	CRect rt, tt;
	GetWindowRect(rt);
	tt = { 0,0,25,25 };
	tt.MoveToX(rt.Width() - 75);
	MoveButton(1, tt);
	tt.MoveToX(rt.Width() - 50);
	MoveButton(2, tt);
	MoveButton(3, tt);
	tt.MoveToX(rt.Width() - 25);
	MoveButton(4, tt);

	tt = { 0,0,180,180 };
	CPoint pt = { (rt.Width() - 600) / 2,100 };
	tt.MoveToXY(pt);
	MoveButton(1000, tt);
	tt.MoveToXY(pt.x + 200, pt.y);
	MoveButton(2000, tt);
	tt.MoveToXY(pt.x + 400, pt.y);
	MoveButton(3000, tt);
	tt.MoveToXY(pt.x, pt.y + 200);
	MoveButton(4000, tt);
	tt.MoveToXY(pt.x + 200, pt.y + 200);
	MoveButton(5000, tt);
	tt.MoveToXY(pt.x + 400, pt.y + 200);
	MoveButton(6000, tt);

	GetWindowRect(rt);
	rt.MoveToXY(-50, -50);
	rt.left = 150;
	rt.top = (50);

	m_RoomSetUpDlg.MoveWindow(rt);
	m_CommodityDlg.MoveWindow(rt);
	PaymentDlg.MoveWindow(rt);
	MemberSetUpDlg.MoveWindow(rt);
	m_DiscountDlg.MoveWindow(rt);
	m_StaffDlg.MoveWindow(rt);
	PrintSetUpDlg.MoveWindow(rt);
	m_CouponDlg.MoveWindow(rt);
	m_ParameterDlg.MoveWindow(rt);

}


//隐藏所有按钮
VOID CaikeDlg::HideAllBt(BOOL Hide)
{
	ShowButton(1000, !Hide);
	ShowButton(2000, !Hide);
	ShowButton(3000, !Hide);
	ShowButton(4000, !Hide);
	ShowButton(5000, !Hide);
	ShowButton(6000, !Hide);
}

//检查权限
BOOL CaikeDlg::CheckAuthority(CString Authority)
{
	if (LogName == _T(""))
	{
		//MessageBox(_T("请先登录账号"), _T("温馨提示"));
		LogInDlg dlg(this);
		if (dlg.DoModal() != IDOK)
			return FALSE;
	}
	if (LogName == _T("系统管理员"))
	{
		return TRUE;
	}
	_RecordsetPtr m_pRecor;
	_variant_t var;
	CString str, tmp;
	str.Format(_T("select b.authority from staff a left join category b on a.category = b.ID where a.JobID = '%s' and a.computer = '1'"), LogName);
	AdoSql.QuerySql(str, m_pRecor);
	int i = 0;
	if (!m_pRecor->GetadoEOF())
	{
		var = m_pRecor->GetCollect("authority");
		if (var.vt != VT_NULL)
		{
			tmp = (LPCTSTR)_bstr_t(var);
		}
	}

	if (tmp.Find(_T("$") + Authority + _T("$")) == -1)
	{
		MessageBox(_T("该用户没有此权限"), _T("温馨提示"));
		return FALSE;
	}
	return TRUE;
}

INT CaikeDlg::CheckUser(CString Name, CString Pass, BOOL isSystem)
{
	CString tmp;
	_RecordsetPtr m_pRecor;
	_variant_t var;
	if (Pass != _T(""))
	{
		string str = (CStringA)Pass;
		AES aes;
		Pass = (CStringA)(aes.EncryptionAES(str, "aikehotel1998092")).c_str();
	}
	if (isSystem)
	{
		AdoSql.QuerySql(_T("select * from config where vkey = 'passwords'"), m_pRecor);
		int i = 0;
		if (!m_pRecor->GetadoEOF())
		{
			var = m_pRecor->GetCollect("value");
			if (var.vt != VT_NULL)
			{
				tmp = (LPCTSTR)_bstr_t(var);
			}
		}
		if (tmp == Pass)
		{
			return 1;
		}
		return 2;
	}
	else
	{
		tmp.Format(_T("select Passwords from staff where JobID = '%s' and Computer = '1'"), Name);
		AdoSql.QuerySql(tmp, m_pRecor);
		if (!m_pRecor->GetadoEOF())
		{
			var = m_pRecor->GetCollect("Passwords");
			if (var.vt != VT_NULL)
			{
				tmp = (LPCTSTR)_bstr_t(var);
			}
			if (tmp == Pass)
			{
				return 1;
			}
			return 2;
		}
		else
		{
			return 0;
		}
	}
	return 0;
}

//设置按钮
VOID CaikeDlg::SetUpClick(int id)
{
	if (!CheckAuthority(_T("6000")))
	{
		return;
	}
	HideAllBt();
	CRect rt = { 0,0,100,30 };
	rt.MoveToXY(30, 50);
	if (AddButton(1001, rt))
	{
		SetLClick(1001, [this](int i) {HomepageClick(i); });

		rt.MoveToXY(30, 90);
		AddButton(6001, rt);
		SetLClick(6001, [this](int i) {RoomSetUpClick(i); });
		
		rt.MoveToXY(30, 130);
		AddButton(6002, rt);
		SetLClick(6002, [this](int i) {CommodityClick(i); });

		rt.MoveToXY(30, 170);
		AddButton(6003, rt);
		SetLClick(6003, [this](int i) {PaymentClick(i); });

		rt.MoveToXY(30, 210);
		AddButton(6004, rt);
		SetLClick(6004, [this](int i) {MemberSetUpClick(i); });

		rt.MoveToXY(30, 250);
		AddButton(6005, rt);
		SetLClick(6005, [this](int i) {DiscountClick(i); });

		rt.MoveToXY(30, 290);
		AddButton(6006, rt);
		SetLClick(6006, [this](int i) {StaffClick(i); });

		rt.MoveToXY(30, 330);
		AddButton(6007, rt);
		SetLClick(6007, [this](int i) {PrintSetUpClick(i); });

		rt.MoveToXY(30, 370);
		AddButton(6008, rt);
		SetLClick(6008, [this](int i) {CouponClick(i); });

		rt.MoveToXY(30, 410);
		AddButton(6009, rt);
		SetLClick(6009, [this](int i) {ParameterClick(i); });
	}
	ShowButton(1001, TRUE);
	ShowButton(6001, TRUE);
	ShowButton(6002, TRUE);
	ShowButton(6003, TRUE);
	ShowButton(6004, TRUE);
	ShowButton(6005, TRUE);
	ShowButton(6006, TRUE);
	ShowButton(6007, TRUE);
	ShowButton(6008, TRUE);
	ShowButton(6009, TRUE);
}

//回到主页
VOID CaikeDlg::HomepageClick(int id)
{
	m_RoomSetUpDlg.ShowWindow(SW_HIDE);
	m_CommodityDlg.ShowWindow(SW_HIDE);
	PaymentDlg.ShowWindow(SW_HIDE);
	MemberSetUpDlg.ShowWindow(SW_HIDE);
	m_DiscountDlg.ShowWindow(SW_HIDE);
	m_StaffDlg.ShowWindow(SW_HIDE);
	PrintSetUpDlg.ShowWindow(SW_HIDE);
	m_CouponDlg.ShowWindow(SW_HIDE);
	m_ParameterDlg.ShowWindow(SW_HIDE);

	ShowButton(1001, FALSE);
	ShowButton(6001, FALSE); 
	ShowButton(6002, FALSE);
	ShowButton(6003, FALSE);
	ShowButton(6004, FALSE);
	ShowButton(6005, FALSE);
	ShowButton(6006, FALSE);
	ShowButton(6007, FALSE);
	ShowButton(6008, FALSE);
	ShowButton(6009, FALSE);
	HideAllBt(FALSE);
}


//点击房间设置
VOID CaikeDlg::RoomSetUpClick(int id)
{
	m_CommodityDlg.ShowWindow(SW_HIDE);
	PaymentDlg.ShowWindow(SW_HIDE);
	MemberSetUpDlg.ShowWindow(SW_HIDE);
	m_DiscountDlg.ShowWindow(SW_HIDE);
	m_StaffDlg.ShowWindow(SW_HIDE);
	PrintSetUpDlg.ShowWindow(SW_HIDE);
	m_CouponDlg.ShowWindow(SW_HIDE);
	m_ParameterDlg.ShowWindow(SW_HIDE);
	m_RoomSetUpDlg.ShowWindow(SW_SHOW);
}

//点击商品设置
VOID CaikeDlg::CommodityClick(int id)
{
	m_RoomSetUpDlg.ShowWindow(SW_HIDE);
	PaymentDlg.ShowWindow(SW_HIDE);
	MemberSetUpDlg.ShowWindow(SW_HIDE);
	m_DiscountDlg.ShowWindow(SW_HIDE);
	m_StaffDlg.ShowWindow(SW_HIDE);
	PrintSetUpDlg.ShowWindow(SW_HIDE);
	m_CouponDlg.ShowWindow(SW_HIDE);
	m_ParameterDlg.ShowWindow(SW_HIDE);
	m_CommodityDlg.ShowWindow(SW_SHOW);
}

//点击付款方式
VOID CaikeDlg::PaymentClick(int id)
{
	m_RoomSetUpDlg.ShowWindow(SW_HIDE);
	m_CommodityDlg.ShowWindow(SW_HIDE);
	MemberSetUpDlg.ShowWindow(SW_HIDE);
	m_DiscountDlg.ShowWindow(SW_HIDE);
	m_StaffDlg.ShowWindow(SW_HIDE);
	PrintSetUpDlg.ShowWindow(SW_HIDE);
	m_CouponDlg.ShowWindow(SW_HIDE);
	m_ParameterDlg.ShowWindow(SW_HIDE);
	PaymentDlg.ShowWindow(SW_SHOW);
}

//点击会员管理
VOID CaikeDlg::MemberSetUpClick(int id)
{
	m_RoomSetUpDlg.ShowWindow(SW_HIDE);
	m_CommodityDlg.ShowWindow(SW_HIDE);
	PaymentDlg.ShowWindow(SW_HIDE);
	m_DiscountDlg.ShowWindow(SW_HIDE);
	m_StaffDlg.ShowWindow(SW_HIDE);
	PrintSetUpDlg.ShowWindow(SW_HIDE);
	m_CouponDlg.ShowWindow(SW_HIDE);
	m_ParameterDlg.ShowWindow(SW_HIDE);
	MemberSetUpDlg.ShowWindow(SW_SHOW);
}

//点击折扣方案
VOID CaikeDlg::DiscountClick(int id)
{
	m_RoomSetUpDlg.ShowWindow(SW_HIDE);
	m_CommodityDlg.ShowWindow(SW_HIDE);
	PaymentDlg.ShowWindow(SW_HIDE);
	MemberSetUpDlg.ShowWindow(SW_HIDE);
	m_StaffDlg.ShowWindow(SW_HIDE);
	PrintSetUpDlg.ShowWindow(SW_HIDE);
	m_CouponDlg.ShowWindow(SW_HIDE);
	m_ParameterDlg.ShowWindow(SW_HIDE);
	m_DiscountDlg.ShowWindow(SW_SHOW);
}

//点击员工信息
VOID CaikeDlg::StaffClick(int id)
{
	m_RoomSetUpDlg.ShowWindow(SW_HIDE);
	m_CommodityDlg.ShowWindow(SW_HIDE);
	PaymentDlg.ShowWindow(SW_HIDE);
	MemberSetUpDlg.ShowWindow(SW_HIDE);
	m_DiscountDlg.ShowWindow(SW_HIDE);
	PrintSetUpDlg.ShowWindow(SW_HIDE);
	m_CouponDlg.ShowWindow(SW_HIDE);
	m_ParameterDlg.ShowWindow(SW_HIDE);
	m_StaffDlg.ShowWindow(SW_SHOW);

	m_StaffDlg.ShowStaff();
}

//点击打印设置
VOID CaikeDlg::PrintSetUpClick(int id)
{
	m_RoomSetUpDlg.ShowWindow(SW_HIDE);
	m_CommodityDlg.ShowWindow(SW_HIDE);
	PaymentDlg.ShowWindow(SW_HIDE);
	MemberSetUpDlg.ShowWindow(SW_HIDE);
	m_DiscountDlg.ShowWindow(SW_HIDE);
	m_StaffDlg.ShowWindow(SW_HIDE);
	m_CouponDlg.ShowWindow(SW_HIDE);
	m_ParameterDlg.ShowWindow(SW_HIDE);
	PrintSetUpDlg.ShowWindow(SW_SHOW);
}

//点击票券设置
VOID CaikeDlg::CouponClick(int id)
{
	m_RoomSetUpDlg.ShowWindow(SW_HIDE);
	m_CommodityDlg.ShowWindow(SW_HIDE);
	PaymentDlg.ShowWindow(SW_HIDE);
	MemberSetUpDlg.ShowWindow(SW_HIDE);
	m_DiscountDlg.ShowWindow(SW_HIDE);
	m_StaffDlg.ShowWindow(SW_HIDE);
	PrintSetUpDlg.ShowWindow(SW_HIDE);
	m_ParameterDlg.ShowWindow(SW_HIDE);
	m_CouponDlg.ShowWindow(SW_SHOW);
}

//点击参数设置
VOID CaikeDlg::ParameterClick(int id)
{
	m_RoomSetUpDlg.ShowWindow(SW_HIDE);
	m_CommodityDlg.ShowWindow(SW_HIDE);
	PaymentDlg.ShowWindow(SW_HIDE);
	MemberSetUpDlg.ShowWindow(SW_HIDE);
	m_DiscountDlg.ShowWindow(SW_HIDE);
	m_StaffDlg.ShowWindow(SW_HIDE);
	PrintSetUpDlg.ShowWindow(SW_HIDE);
	m_CouponDlg.ShowWindow(SW_HIDE);
	m_ParameterDlg.ShowWindow(SW_SHOW);
}

